## org.eclipse.emf.mapping.command
Class PasteFromClipboardOverrideCommand

    java.lang.Object
      org.eclipse.emf.common.command.AbstractCommand
          org.eclipse.emf.edit.command.AbstractOverrideableCommand
              org.eclipse.emf.edit.command.PasteFromClipboardCommand
                  org.eclipse.emf.mapping.command.PasteFromClipboardOverrideCommand

All Implemented Interfaces:
  Command, OverrideableCommand

    public class PasteFromClipboardOverrideCommand

extends PasteFromClipboardCommand

This command overrides the PasteFromClipboardCommand for cross-domain (optimized) copies.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand
`AbstractCommand.NonDirtying`

Field Summary

Fields inherited from class org.eclipse.emf.edit.command.PasteFromClipboardCommand
`command, DESCRIPTION, feature, index, LABEL, optimize, owner`

Fields inherited from class org.eclipse.emf.edit.command.AbstractOverrideableCommand
`domain, overrideCommand`

Fields inherited from class org.eclipse.emf.common.command.AbstractCommand
`description, isExecutable, isPrepared, label`

Constructor Summary
`PasteFromClipboardOverrideCommand(MappingDomain domain, PasteFromClipboardCommand command)`

Method Summary
`protected boolean` `optimizedCanExecute()`

Methods inherited from class org.eclipse.emf.edit.command.PasteFromClipboardCommand
`create, create, doDispose, doExecute, doGetAffectedObjects, doGetResult, doRedo, doUndo, getFeature, getIndex, getOwner, prepare, toString`

Methods inherited from class org.eclipse.emf.edit.command.AbstractOverrideableCommand
`canExecute, canUndo, dispose, doCanExecute, doCanUndo, doGetChildrenToCopy, doGetDescription, doGetLabel, execute, getAffectedObjects, getChildrenToCopy, getDescription, getDomain, getLabel, getOverride, getOwnerList, getResult, redo, setOverride, undo, updateEMap`

Methods inherited from class org.eclipse.emf.common.command.AbstractCommand
`chain, setDescription, setLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.command.Command
`chain`

Constructor Detail

### PasteFromClipboardOverrideCommand

    public PasteFromClipboardOverrideCommand(MappingDomain domain,
                                             PasteFromClipboardCommand command)

Method Detail

### optimizedCanExecute

    protected boolean optimizedCanExecute()

  Overrides:
    `optimizedCanExecute` in class `PasteFromClipboardCommand`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.